Bug 1451058 - [3.5] Failed to attach disk to Azure F Instances
Summary: [3.5] Failed to attach disk to Azure F Instances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.z
Assignee: hchen
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On: 1451039
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-15 16:48 UTC by hchen
Modified: 2017-06-15 18:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Azure data disks failed to attach to Azure F instance. Consequence: Pods running on Azure F instance cannot start Fix: Probe attached disks on the nodes to detect Azure disks based on LUN number that is retrieved from Azure metadata service. Result: Disks are detected and Pods can start.
Clone Of: 1451039
Environment:
Last Closed: 2017-06-15 18:39:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1425 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.2 bug fix update 2017-06-15 22:35:53 UTC

Comment 3 Wenqi He 2017-06-05 08:22:33 UTC
Tested on below version:
openshift v3.5.5.23
kubernetes v1.5.2+43a9be4

F serials vm can attach azure disk and pod could be running:

$ azure vm show --resource-group openshift-qe --name storageocptest.azure.com | grep Size
data:      Size                          :Standard_F4

$ oc get pods
NAME      READY     STATUS    RESTARTS   AGE
azcaro    1/1       Running   0          6m

Comment 5 errata-xmlrpc 2017-06-15 18:39:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1425


Note You need to log in before you can comment on or make changes to this bug.